﻿@model DotNetCoreMVC.Models.Student

@{
    ViewData["Title"] = "Create";
}

<h1>Create</h1>

<h4>Student</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="AddStudent">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>

            <div class="form-group">
                <input type="hidden" asp-for="ID" />
                <label asp-for="First_Name" class="control-label"></label>
                <input asp-for="First_Name" class="form-control" />
                <span asp-validation-for="First_Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Last_Name" class="control-label"></label>
                <input asp-for="Last_Name" class="form-control" />
                <span asp-validation-for="Last_Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Email" class="control-label"></label>
                <input asp-for="Email" class="form-control" />
                <span asp-validation-for="Email" class="text-danger"></span>
            </div>

            <div class="form-group">
                <label asp-for="Mobile" class="control-label"></label>
                <input asp-for="Mobile" class="form-control" />
                <span asp-validation-for="Mobile" class="text-danger"></span>
            </div>

            <div class="form-group">
                <label asp-for="FacultyName" class="control-label"></label>
                <select asp-for="FacultyID" class="form-control" asp-items="@(new SelectList(ViewBag.FacList,"ID","FacultyName"))">

                </select>
            </div>

            <div class="form-group">
                <label asp-for="Description" class="control-label"></label>
                <input asp-for="Description" class="form-control" />
                <span asp-validation-for="Description" class="text-danger"></span>
            </div>

            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
                <a asp-action="StudentList" class="btn btn-outline-success">Student List</a>
            </div>
        </form>
    </div>
</div>


@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
